# AutomaticSize

## Overview

AutomaticSize is an Enum that specifies the direction of automatic size adjustment for UI elements.

It is used as the AutomaticSize property in GuiBase and its subclasses, determining the direction in which a UI element automatically adjusts its size based on the size of its child elements.

## Items

| Name | Value | Description                                                                                |
| ---- | ----- | ------------------------------------------------------------------------------------------ |
| None | 0     | Automatic size adjustment is not used. Size is specified directly using the Size property. |
| X    | 1     | Automatic size adjustment is performed only in the X-axis (horizontal) direction.          |
| Y    | 2     | Automatic size adjustment is performed only in the Y-axis (vertical) direction.            |
| XY   | 3     | Automatic size adjustment is performed for both X-axis and Y-axis.                         |

## See also

{% content-ref url="/pages/mynrdpnaLAwMCUWSc9kw" %}
[ScrollingFrame](/development/api-reference/classes/scrollingframe.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/development/api-reference/enums/automaticsize.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
